//package com.qmth.themis.admin.elasticsearch.entity;
//
//import com.baomidou.mybatisplus.annotation.TableField;
//import com.baomidou.mybatisplus.annotation.TableId;
//import com.qmth.themis.business.base.BaseEntity;
//import io.swagger.annotations.ApiModel;
//import io.swagger.annotations.ApiModelProperty;
//import org.springframework.data.annotation.Id;
//import org.springframework.data.elasticsearch.annotations.Document;
//import org.springframework.data.elasticsearch.annotations.Field;
//import org.springframework.data.elasticsearch.annotations.FieldType;
//
//import java.io.Serializable;
//import java.util.Date;
//
///**
// * @Description: elasticsearch 学生档案 entity
// * @Param:
// * @return:
// * @Author: wangliang
// * @Date: 2020/7/6
// */
//@ApiModel(value = "TEStudent", description = "学生档案")
//@Document(indexName = "student_index", shards = 1, replicas = 0)
//public class ETEStudentEntity extends BaseEntity {
//
//    @ApiModelProperty(value = "机构ID")
//    @TableField(value = "org_id")
//    private Long orgId;
//
//    @ApiModelProperty(value = "证件号")
//    @TableField(value = "identity")
//    private String identity;
//
//    @ApiModelProperty(value = "登陆密码，密文保存")
//    @TableField(value = "password")
//    private String password;
//
//    @ApiModelProperty(value = "身份证号")
//    @TableField(value = "idcard_number")
//    private String idcardNumber;
//
//    @ApiModelProperty(value = "手机号")
//    @TableField(value = "mobile_number")
//    private String mobileNumber;
//
//    @ApiModelProperty(value = "姓名")
//    @TableField(value = "name")
//    @Field(type = FieldType.Text, analyzer = "ik_max_word")
////    @Field(type = FieldType.Keyword)
////    @Field(type = FieldType.Auto)
//    //keyword：存储数据时候，不会分词建立索引
//    //text：存储数据时候，会自动分词，并生成索引（这是很智能的，但在有些字段里面是没用的，所以对于有些字段使用text则浪费了空间）。
//    private String name;
//
//    @ApiModelProperty(value = "性别")
//    @TableField(value = "gender")
//    private Integer gender;
//
//    @ApiModelProperty(value = "底照保存地址")
//    @TableField(value = "base_photo_path")
//    private String basePhotoPath;
//
//    @ApiModelProperty(value = "是否启用，0：停用，1：启用")
//    @TableField(value = "enable")
//    private Integer enable;
//}
