package com.qmth.themis.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.themis.business.entity.TBPrivilege;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 菜单和权限 Mapper 接口
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Mapper
public interface TBPrivilegeMapper extends BaseMapper<TBPrivilege> {

    /**
     * 根据userId获取菜单数据
     *
     * @param userId
     * @return
     */
    List<TBPrivilege> getMenu(@Param("userId") Long userId);
}
