package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TBPrivilege;

import java.util.List;

/**
 * @Description: 菜单和权限 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TBPrivilegeService extends IService<TBPrivilege> {

    /**
     * 根据userId获取菜单数据
     *
     * @param userId
     * @return
     */
    public List<TBPrivilege> getMenu(Long userId);
}
