package com.qmth.themis.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.themis.business.bean.admin.OpenRecordAnswerBean;
import com.qmth.themis.business.bean.admin.OpenRecordAnswerTempBean;
import com.qmth.themis.business.dao.TOeExamAnswerMapper;
import com.qmth.themis.business.entity.TOeExamAnswer;
import com.qmth.themis.business.service.TOeExamAnswerService;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

/**
 * @Description: 作答结果 服务实现类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Service
public class TOeExamAnswerServiceImpl extends ServiceImpl<TOeExamAnswerMapper, TOeExamAnswer> implements TOeExamAnswerService {

    @Resource
    TOeExamAnswerMapper examAnswerMapper;

    @Override
    public List<OpenRecordAnswerTempBean> findByExamRecordId(Long examRecordId) {
        return examAnswerMapper.findByExamRecordId(examRecordId);
    }
}