package com.qmth.themis.exam.listener.service;

import com.qmth.themis.business.dto.MqDto;

import java.io.IOException;
import java.security.NoSuchAlgorithmException;

/**
 * @Description: mq执行逻辑
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/31
 */
public interface MqOeLogicService {

    /**
     * oe逻辑
     *
     * @param mqDto
     * @param key
     */
    public void execMqOeLogic(MqDto mqDto, String key) throws NoSuchAlgorithmException, IOException;

    /**
     * oe mobile 逻辑
     *
     * @param mqDto
     * @param key
     */
    public void execMqOeMobileLogic(MqDto mqDto, String key) throws NoSuchAlgorithmException, IOException;
}
