package com.qmth.themis.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.themis.business.base.CustomBaseMapper;
import com.qmth.themis.business.entity.TBUser;
import com.qmth.themis.business.entity.TBUserRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 用户角色 Mapper 接口
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Mapper
public interface TBUserRoleMapper extends CustomBaseMapper<TBUserRole> {

    /**
     * 根据机构id+角色查询用户
     *
     * @param orgId
     * @return
     */
    public List<TBUser> userQueryByRole(@Param("orgId") Long orgId, @Param("roleCode") String roleCode);
}
