package com.qmth.themis.business.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.themis.business.entity.TEExamPaper;

/**
 * @Description: 考试试卷 Mapper 接口
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Mapper
public interface TEExamPaperMapper extends BaseMapper<TEExamPaper> {

	public TEExamPaper findByExamIdAndCourseCodeAndPaperCode(@Param("examId") Long examId,
			@Param("courseCode") String courseCode, @Param("paperCode") String paperCode);

	public List<TEExamPaper> findListByExamIdAndCourseCode(@Param("examId") Long examId,
			@Param("courseCode") String courseCode);
	
	public List<TEExamPaper> findByExamId(@Param("examId") Long examId);

	public void updateWeight(@Param("id") Long id, @Param("weight") Double weight);
}
