package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TBAppVersion;

import java.util.Map;

/**
 * @Description: 移动端版本 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/11/20
 */
public interface TBAppVersionService extends IService<TBAppVersion> {

    /**
     * 移动端版本查询
     *
     * @param iPage
     * @return
     */
    IPage<TBAppVersion> appVersionQuery(IPage<Map> iPage);

    /**
     * 获取移动端最大版本号记录
     *
     * @param type
     * @return
     */
    TBAppVersion getMaxAppVersion(String type);
}
