package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TBClientVersion;

import java.util.Map;

/**
 * @Description: 客户端版本 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TBClientVersionService extends IService<TBClientVersion> {

    /**
     * 客户端版本查询
     *
     * @param iPage
     * @return
     */
    IPage<TBClientVersion> clientVersionQuery(IPage<Map> iPage);

    /**
     * 获取客户端最大版本号记录
     *
     * @return
     */
    TBClientVersion getMaxClientVersion();
}
