package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.dto.response.TBOrgDto;
import com.qmth.themis.business.entity.TBOrg;

import java.util.Map;

/**
 * @Description: 机构 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TBOrgService extends IService<TBOrg> {

    /**
     * 查询机构分页信息
     *
     * @param iPage
     * @param code
     * @param name
     * @param enable
     * @return
     */
    public IPage<TBOrgDto> queryByPage(IPage<Map> iPage, String code, String name, Integer enable);
}
