package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.dto.response.TBTaskDto;
import com.qmth.themis.business.entity.TBTaskHistory;
import com.qmth.themis.business.enums.TaskStatusEnum;
import com.qmth.themis.business.enums.TaskTypeEnum;

import java.util.Map;

/**
 * @Description: 异步任务 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/9
 */
public interface TBTaskHistoryService extends IService<TBTaskHistory> {

	/**
	 * 查询任务
	 *
	 * @param iPage
	 * @param taskId
	 * @param entityId
	 * @param type
	 * @param status
	 * @param orgId
	 * @return
	 */
	public IPage<TBTaskDto> taskQuery(IPage<Map> iPage, Long taskId, Long entityId, TaskTypeEnum type,
			TaskStatusEnum status, Long orgId,Long examId);
}
