package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TBUser;
import com.qmth.themis.business.entity.TBUserRole;

import java.util.List;

/**
 * @Description: 用户角色 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TBUserRoleService extends IService<TBUserRole> {

    /**
     * 根据机构id+角色查询用户
     *
     * @param orgId
     * @param roleCode
     * @return
     */
    public List<TBUser> userQueryByRole(Long orgId, String roleCode);
}
