package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.dto.MqDto;
import com.qmth.themis.business.entity.TMRocketMessage;

/**
 * @Description: rocketmq消息 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/9
 */
public interface TMRocketMessageService extends IService<TMRocketMessage> {

    /**
     * 保存mq成功消息
     *
     * @param mqDto
     * @param key
     */
    public void saveMqMessageSuccess(MqDto mqDto, String key);

    /**
     * 保存mq出错消息
     *
     * @param mqDto
     * @param key
     */
    public void saveMqMessageError(MqDto mqDto, String key);
}
